:: Updated: Wed Jan 07 13:04:27 2004
setlocal
pushd .
cd ..\..

set ix_base=..\..

set ix_path=%ix_base%\ix.jar

:: >>>> use next 2 lines to override ix.jar with contents of java directory
:: set ix_path=%ix_base%\java;%ix_base%\ix.jar;
:: echo NOTE: overriding ix.jar with contents of ix_base\java directory
:: >>>> or use these to select if only one is present
:: if exist %ix_base%\ix.jar set ix_path=%ix_base%\ix.jar
:: if not exist %ix_base%\ix.jar set ix_path=%ix_base%\java

set ix_path=%ix_path%;%ix_base%\imports\jdom.jar

set comms_base=%ix_base%\comms\jabber\imports
set comms_path=%comms_base%\jabberbeans.jar
set comms_path=%comms_path%;%ix_base%\comms\jabber\java

set all_path=%ix_path%;%comms_path%

javac -deprecation java\ix\jabber\UserPassword.java

javac -deprecation -classpath %all_path% java\ix\jabber\JabberCommunicationStrategy.java
pause
popd
endlocal
